import { AxiosRequestHeaders } from 'axios';
declare type Conn = {
    development?: boolean;
};
interface ChatAuth extends Conn {
    projectID: string;
    chatID: string;
    chatAccessKey: string;
}
interface UserAuth extends Conn {
    projectID: string;
    userName: string;
    userSecret: string;
}
export declare type Auth = ChatAuth | UserAuth;
export interface ChatAuthHeaders extends AxiosRequestHeaders {
    'Public-Key': string;
    'Chat-ID': string;
    'Access-Key': string;
}
export interface UserAuthHeaders extends AxiosRequestHeaders {
    'Public-Key': string;
    'User-Name': string;
    'User-Secret': string;
}
export declare const getApiUrl: (props: Auth) => string;
export {};
