/// <reference types="react" />
import { ChatProps, MessageProps, PersonProps } from '../interfaces';
export declare const sortChats: (chats: ChatProps[]) => ChatProps[];
export declare const sortMessages: (messages: MessageProps[]) => MessageProps[];
export declare const useChatHooks: (projectId: string, chatId: string, chatAccessKey: string, isDevelopment?: boolean | undefined) => {
    onConnect: () => void;
    onAuthFail: () => void;
    onEditChat: (chat: ChatProps) => void;
    onDeleteChat: () => void;
    onGetMessages: (chatId: number, messages: MessageProps[]) => void;
    onNewMessage: (chatId: number, newMessage: MessageProps) => void;
    onEditMessage: (chatId: number, newMessage: MessageProps) => void;
    onDeleteMessage: (chatId: number, oldMessage: MessageProps) => void;
    projectId: string;
    chatId: string;
    chatAccessKey: string;
    activeChatId: number | undefined;
    setActiveChatId: import("react").Dispatch<import("react").SetStateAction<number | undefined>>;
    chat: ChatProps | undefined;
    messages: MessageProps[];
    setMessages: import("react").Dispatch<import("react").SetStateAction<MessageProps[]>>;
    peopleToInvite: PersonProps[];
    setPeopleToInvite: import("react").Dispatch<import("react").SetStateAction<PersonProps[]>>;
    hasMoreChats: boolean;
    setHasMoreChats: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    hasMoreMessages: boolean;
    setHasMoreMessages: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    isChatFeedAtBottom: boolean;
    setIsChatFeedAtBottom: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    onChatCardClick: (activeChatId: number) => void;
    onMessageLoaderShow: () => void;
    onMessageLoaderHide: () => void;
    onBottomMessageShow: () => void;
    onBottomMessageHide: () => void;
    onMessageFormSubmit: (message: MessageProps) => void;
};
