/// <reference types="react" />
import { ChatProps, MessageProps, PersonProps } from '../interfaces';
export declare const sortChats: (chats: ChatProps[]) => ChatProps[];
export declare const sortMessages: (messages: MessageProps[]) => MessageProps[];
export declare const useUserHooks: (projectId: string, myUsername: string, mySecret: string, isDevelopment?: boolean | undefined) => {
    onConnect: () => void;
    onAuthFail: () => void;
    onGetChats: (chats?: ChatProps[]) => void;
    onNewChat: (chat: ChatProps) => void;
    onEditChat: (newChat: ChatProps) => void;
    onDeleteChat: (oldChat: ChatProps) => void;
    onGetMessages: (chatId: number, messages: MessageProps[]) => void;
    onNewMessage: (chatId: number, newMessage: MessageProps) => void;
    onEditMessage: (chatId: number, newMessage: MessageProps) => void;
    onDeleteMessage: (chatId: number, oldMessage: MessageProps) => void;
    projectId: string;
    myUsername: string;
    mySecret: string;
    chats: ChatProps[];
    setChats: import("react").Dispatch<import("react").SetStateAction<ChatProps[]>>;
    messages: MessageProps[];
    setMessages: import("react").Dispatch<import("react").SetStateAction<MessageProps[]>>;
    peopleToInvite: PersonProps[];
    setPeopleToInvite: import("react").Dispatch<import("react").SetStateAction<PersonProps[]>>;
    activeChatId: number | undefined;
    setActiveChatId: import("react").Dispatch<import("react").SetStateAction<number | undefined>>;
    chat: ChatProps | undefined;
    hasMoreChats: boolean;
    setHasMoreChats: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    hasMoreMessages: boolean;
    setHasMoreMessages: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    isChatFeedAtBottom: boolean;
    setIsChatFeedAtBottom: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    onChatFormSubmit: (title: string) => void;
    onChatCardClick: (activeChatId: number) => void;
    onChatLoaderShow: () => void;
    onMessageLoaderShow: () => void;
    onMessageLoaderHide: () => void;
    onBottomMessageShow: () => void;
    onBottomMessageHide: () => void;
    onMessageFormSubmit: (message: MessageProps) => void;
    onInvitePersonClick: (person: PersonProps) => void;
    onRemovePersonClick: (person: PersonProps) => void;
    onDeleteChatClick: (chat: ChatProps) => void;
};
